Subject: Re: [PATCH v3] brcmfmac: support parse country code map from DT

From: Kalle Valo <[email-masked]>
Date: Thu, 24 Jun 2021 16:20:54 +0000 (UTC)

Shawn Guo <[email-masked]> wrote:

> With any regulatory domain requests coming from either user space or
> 802.11 IE (Information Element), the country is coded in ISO3166
> standard.  It needs to be translated to firmware country code and
> revision with the mapping info in settings->country_codes table.
> Support populate country_codes table by parsing the mapping from DT.
> 
> The BRCMF_BUSTYPE_SDIO bus_type check gets separated from general DT
> validation, so that country code can be handled as general part rather
> than SDIO bus specific one.
> 
> Signed-off-by: Shawn Guo <[email-masked]>
> Reviewed-by: Arend van Spriel <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

1a3ac5c651a0 brcmfmac: support parse country code map from DT

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches